# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# C extensions
*.so

# Distribution / packaging
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# PyInstaller
*.manifest
*.spec

# Installer logs
pip-log.txt
pip-delete-this-directory.txt

# Unit test / coverage reports
htmlcov/
.tox/
.nox/
.coverage
.coverage.*
.cache/
nosetests.xml
coverage.xml
*.cover
*.py,cover
.pytest_cache/

# Type checkers / linters
.mypy_cache/
.pyre/
.ruff_cache/

# Environments
.env
.env.*
.venv/
venv/
env/
ENV/

# Jupyter Notebook
.ipynb_checkpoints/

# IDEs and editors
.vscode/
.idea/
*.swp
*.swo

# Logs
*.log

# OS files
.DS_Store
Thumbs.db
